## WebKitDOMDOMWindow WebKitDOMDOMWindow |

## Functions

WebKitDOMDOMSelection * | webkit_dom_dom_window_get_selection ()
void | webkit_dom_dom_window_focus ()
void | webkit_dom_dom_window_blur ()
void | webkit_dom_dom_window_close ()
void | webkit_dom_dom_window_print ()
void | webkit_dom_dom_window_stop ()
void | webkit_dom_dom_window_alert ()
gboolean | webkit_dom_dom_window_confirm ()
gchar * | webkit_dom_dom_window_prompt ()
gboolean | webkit_dom_dom_window_find ()
void | webkit_dom_dom_window_scroll_by ()
void | webkit_dom_dom_window_scroll_to ()
void | webkit_dom_dom_window_move_by ()
void | webkit_dom_dom_window_move_to ()
void | webkit_dom_dom_window_resize_by ()
void | webkit_dom_dom_window_resize_to ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_dom_window_get_computed_style ()
void | webkit_dom_dom_window_capture_events ()
void | webkit_dom_dom_window_release_events ()
WebKitDOMElement * | webkit_dom_dom_window_get_frame_element ()
gboolean | webkit_dom_dom_window_get_offscreen_buffering ()
glong | webkit_dom_dom_window_get_outer_height ()
glong | webkit_dom_dom_window_get_outer_width ()
glong | webkit_dom_dom_window_get_inner_height ()
glong | webkit_dom_dom_window_get_inner_width ()
glong | webkit_dom_dom_window_get_screen_x ()
glong | webkit_dom_dom_window_get_screen_y ()
glong | webkit_dom_dom_window_get_screen_left ()
glong | webkit_dom_dom_window_get_screen_top ()
glong | webkit_dom_dom_window_get_scroll_x ()
glong | webkit_dom_dom_window_get_scroll_y ()
glong | webkit_dom_dom_window_get_page_x_offset ()
glong | webkit_dom_dom_window_get_page_y_offset ()
gboolean | webkit_dom_dom_window_get_closed ()
gulong | webkit_dom_dom_window_get_length ()
gchar * | webkit_dom_dom_window_get_name ()
void | webkit_dom_dom_window_set_name ()
gchar * | webkit_dom_dom_window_get_status ()
void | webkit_dom_dom_window_set_status ()
gchar * | webkit_dom_dom_window_get_default_status ()
void | webkit_dom_dom_window_set_default_status ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_self ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_window ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_frames ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_opener ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_parent ()
WebKitDOMDOMWindow * | webkit_dom_dom_window_get_top ()
WebKitDOMDocument * | webkit_dom_dom_window_get_document ()
gdouble | webkit_dom_dom_window_get_device_pixel_ratio ()
glong | webkit_dom_dom_window_get_orientation ()
gboolean | webkit_dom_dom_window_webkit_message_handlers_post_message ()

## Properties

gboolean | closed | Read
gchar * | default-status | Read / Write
gdouble | device-pixel-ratio | Read
WebKitDOMDocument * | document | Read
WebKitDOMElement * | frame-element | Read
WebKitDOMDOMWindow * | frames | Read
glong | inner-height | Read
glong | inner-width | Read
gulong | length | Read
gchar * | name | Read / Write
gboolean | offscreen-buffering | Read
WebKitDOMDOMWindow * | opener | Read
glong | orientation | Read
glong | outer-height | Read
glong | outer-width | Read
glong | page-x-offset | Read
glong | page-y-offset | Read
WebKitDOMDOMWindow * | parent | Read
glong | screen-left | Read
glong | screen-top | Read
glong | screen-x | Read
glong | screen-y | Read
glong | scroll-x | Read
glong | scroll-y | Read
WebKitDOMDOMWindow * | self | Read
gchar * | status | Read / Write
WebKitDOMDOMWindow * | top | Read
WebKitDOMDOMWindow * | window | Read

## Types and Values

struct | WebKitDOMDOMWindow

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMWindow

## Implemented Interfaces

WebKitDOMDOMWindow implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_dom_window_get_selection ()

    WebKitDOMDOMSelection *
    webkit_dom_dom_window_get_selection (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMSelection.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_focus ()

    void
    webkit_dom_dom_window_focus (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_blur ()

    void
    webkit_dom_dom_window_blur (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_close ()

    void
    webkit_dom_dom_window_close (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_print ()

    void
    webkit_dom_dom_window_print (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_stop ()

    void
    webkit_dom_dom_window_stop (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_alert ()

    void
    webkit_dom_dom_window_alert (WebKitDOMDOMWindow *self,
                                 const gchar *message);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |

Since: 2.16

### webkit_dom_dom_window_confirm ()

    gboolean
    webkit_dom_dom_window_confirm (WebKitDOMDOMWindow *self,
                                   const gchar *message);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_window_prompt ()

    gchar *
    webkit_dom_dom_window_prompt (WebKitDOMDOMWindow *self,
                                  const gchar *message,
                                  const gchar *defaultValue);

#### Parameters

self | A WebKitDOMDOMWindow |
message | A gchar |
defaultValue | A gchar |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_window_find ()

    gboolean
    webkit_dom_dom_window_find (WebKitDOMDOMWindow *self,
                                const gchar *string,
                                gboolean caseSensitive,
                                gboolean backwards,
                                gboolean wrap,
                                gboolean wholeWord,
                                gboolean searchInFrames,
                                gboolean showDialog);

#### Parameters

self | A WebKitDOMDOMWindow |
string | A gchar |
caseSensitive | A gboolean |
backwards | A gboolean |
wrap | A gboolean |
wholeWord | A gboolean |
searchInFrames | A gboolean |
showDialog | A gboolean |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_window_scroll_by ()

    void
    webkit_dom_dom_window_scroll_by (WebKitDOMDOMWindow *self,
                                     gdouble x,
                                     gdouble y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gdouble |
y | A gdouble |

Since: 2.16

### webkit_dom_dom_window_scroll_to ()

    void
    webkit_dom_dom_window_scroll_to (WebKitDOMDOMWindow *self,
                                     gdouble x,
                                     gdouble y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gdouble |
y | A gdouble |

Since: 2.16

### webkit_dom_dom_window_move_by ()

    void
    webkit_dom_dom_window_move_by (WebKitDOMDOMWindow *self,
                                   gfloat x,
                                   gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

Since: 2.16

### webkit_dom_dom_window_move_to ()

    void
    webkit_dom_dom_window_move_to (WebKitDOMDOMWindow *self,
                                   gfloat x,
                                   gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

Since: 2.16

### webkit_dom_dom_window_resize_by ()

    void
    webkit_dom_dom_window_resize_by (WebKitDOMDOMWindow *self,
                                     gfloat x,
                                     gfloat y);

#### Parameters

self | A WebKitDOMDOMWindow |
x | A gfloat |
y | A gfloat |

Since: 2.16

### webkit_dom_dom_window_resize_to ()

    void
    webkit_dom_dom_window_resize_to (WebKitDOMDOMWindow *self,
                                     gfloat width,
                                     gfloat height);

#### Parameters

self | A WebKitDOMDOMWindow |
width | A gfloat |
height | A gfloat |

Since: 2.16

### webkit_dom_dom_window_get_computed_style ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_dom_window_get_computed_style
                                   (WebKitDOMDOMWindow *self,
                                    WebKitDOMElement *element,
                                    const gchar *pseudoElement);

#### Parameters

self | A WebKitDOMDOMWindow |
element | A WebKitDOMElement |
pseudoElement | A gchar. | [allow-none]

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_capture_events ()

    void
    webkit_dom_dom_window_capture_events (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_release_events ()

    void
    webkit_dom_dom_window_release_events (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

Since: 2.16

### webkit_dom_dom_window_get_frame_element ()

    WebKitDOMElement *
    webkit_dom_dom_window_get_frame_element
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMElement.

[transfer none]

Since: 2.16

### webkit_dom_dom_window_get_offscreen_buffering ()

    gboolean
    webkit_dom_dom_window_get_offscreen_buffering
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_window_get_outer_height ()

    glong
    webkit_dom_dom_window_get_outer_height
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_outer_width ()

    glong
    webkit_dom_dom_window_get_outer_width (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_inner_height ()

    glong
    webkit_dom_dom_window_get_inner_height
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_inner_width ()

    glong
    webkit_dom_dom_window_get_inner_width (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_screen_x ()

    glong
    webkit_dom_dom_window_get_screen_x (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_screen_y ()

    glong
    webkit_dom_dom_window_get_screen_y (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_screen_left ()

    glong
    webkit_dom_dom_window_get_screen_left (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_screen_top ()

    glong
    webkit_dom_dom_window_get_screen_top (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_scroll_x ()

    glong
    webkit_dom_dom_window_get_scroll_x (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_scroll_y ()

    glong
    webkit_dom_dom_window_get_scroll_y (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_page_x_offset ()

    glong
    webkit_dom_dom_window_get_page_x_offset
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_page_y_offset ()

    glong
    webkit_dom_dom_window_get_page_y_offset
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_get_closed ()

    gboolean
    webkit_dom_dom_window_get_closed (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gboolean

Since: 2.16

### webkit_dom_dom_window_get_length ()

    gulong
    webkit_dom_dom_window_get_length (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gulong

Since: 2.16

### webkit_dom_dom_window_get_name ()

    gchar *
    webkit_dom_dom_window_get_name (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_window_set_name ()

    void
    webkit_dom_dom_window_set_name (WebKitDOMDOMWindow *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

Since: 2.16

### webkit_dom_dom_window_get_status ()

    gchar *
    webkit_dom_dom_window_get_status (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_window_set_status ()

    void
    webkit_dom_dom_window_set_status (WebKitDOMDOMWindow *self,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

Since: 2.16

### webkit_dom_dom_window_get_default_status ()

    gchar *
    webkit_dom_dom_window_get_default_status
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gchar

Since: 2.16

### webkit_dom_dom_window_set_default_status ()

    void
    webkit_dom_dom_window_set_default_status
                                   (WebKitDOMDOMWindow *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMDOMWindow |
value | A gchar |

Since: 2.16

### webkit_dom_dom_window_get_self ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_self (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_window ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_window (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_frames ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_frames (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_opener ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_opener (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_parent ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_parent (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_top ()

    WebKitDOMDOMWindow *
    webkit_dom_dom_window_get_top (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

Since: 2.16

### webkit_dom_dom_window_get_document ()

    WebKitDOMDocument *
    webkit_dom_dom_window_get_document (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A WebKitDOMDocument.

[transfer none]

Since: 2.16

### webkit_dom_dom_window_get_device_pixel_ratio ()

    gdouble
    webkit_dom_dom_window_get_device_pixel_ratio
                                   (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A gdouble

Since: 2.16

### webkit_dom_dom_window_get_orientation ()

    glong
    webkit_dom_dom_window_get_orientation (WebKitDOMDOMWindow *self);

#### Parameters

self | A WebKitDOMDOMWindow |

#### Returns

A glong

Since: 2.16

### webkit_dom_dom_window_webkit_message_handlers_post_message ()

    gboolean
    webkit_dom_dom_window_webkit_message_handlers_post_message
                                   (WebKitDOMDOMWindow *window,
                                    const gchar *handler,
                                    const gchar *message);

## Types and Values

### struct WebKitDOMDOMWindow

    struct WebKitDOMDOMWindow;

## Property Details

### The `“closed”` property

      “closed”                   gboolean

read-only gboolean DOMWindow:closed.

Flags: Read

Default value: FALSE

### The `“default-status”` property

      “default-status”           gchar *

read-write gchar* DOMWindow:default-status.

Flags: Read / Write

Default value: ""

### The `“device-pixel-ratio”` property

      “device-pixel-ratio”       gdouble

read-only gdouble DOMWindow:device-pixel-ratio.

Flags: Read

Default value: 0

### The `“document”` property

      “document”                 WebKitDOMDocument *

read-only WebKitDOMDocument* DOMWindow:document.

Flags: Read

### The `“frame-element”` property

      “frame-element”            WebKitDOMElement *

read-only WebKitDOMElement* DOMWindow:frame-element.

Flags: Read

### The `“frames”` property

      “frames”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:frames.

Flags: Read

### The `“inner-height”` property

      “inner-height”             glong

read-only glong DOMWindow:inner-height.

Flags: Read

Default value: 0

### The `“inner-width”` property

      “inner-width”              glong

read-only glong DOMWindow:inner-width.

Flags: Read

Default value: 0

### The `“length”` property

      “length”                   gulong

read-only gulong DOMWindow:length.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* DOMWindow:name.

Flags: Read / Write

Default value: ""

### The `“offscreen-buffering”` property

      “offscreen-buffering”      gboolean

read-only gboolean DOMWindow:offscreen-buffering.

Flags: Read

Default value: FALSE

### The `“opener”` property

      “opener”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:opener.

Flags: Read

### The `“orientation”` property

      “orientation”              glong

read-only glong DOMWindow:orientation.

Flags: Read

Default value: 0

### The `“outer-height”` property

      “outer-height”             glong

read-only glong DOMWindow:outer-height.

Flags: Read

Default value: 0

### The `“outer-width”` property

      “outer-width”              glong

read-only glong DOMWindow:outer-width.

Flags: Read

Default value: 0

### The `“page-x-offset”` property

      “page-x-offset”            glong

read-only glong DOMWindow:page-x-offset.

Flags: Read

Default value: 0

### The `“page-y-offset”` property

      “page-y-offset”            glong

read-only glong DOMWindow:page-y-offset.

Flags: Read

Default value: 0

### The `“parent”` property

      “parent”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:parent.

Flags: Read

### The `“screen-left”` property

      “screen-left”              glong

read-only glong DOMWindow:screen-left.

Flags: Read

Default value: 0

### The `“screen-top”` property

      “screen-top”               glong

read-only glong DOMWindow:screen-top.

Flags: Read

Default value: 0

### The `“screen-x”` property

      “screen-x”                 glong

read-only glong DOMWindow:screen-x.

Flags: Read

Default value: 0

### The `“screen-y”` property

      “screen-y”                 glong

read-only glong DOMWindow:screen-y.

Flags: Read

Default value: 0

### The `“scroll-x”` property

      “scroll-x”                 glong

read-only glong DOMWindow:scroll-x.

Flags: Read

Default value: 0

### The `“scroll-y”` property

      “scroll-y”                 glong

read-only glong DOMWindow:scroll-y.

Flags: Read

Default value: 0

### The `“self”` property

      “self”                     WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:self.

Flags: Read

### The `“status”` property

      “status”                   gchar *

read-write gchar* DOMWindow:status.

Flags: Read / Write

Default value: ""

### The `“top”` property

      “top”                      WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:top.

Flags: Read

### The `“window”` property

      “window”                   WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* DOMWindow:window.

Flags: Read